using DbController;

namespace Tabletop.Core.Models.Abstract
{
    public abstract class ZoneBase
    {
        [CompareField("x")]
        public string X { get; set; } = string.Empty;
        [CompareField("y")]
        public string Y { get; set; } = string.Empty;
        [CompareField("width")]
        public string Width { get; set; } = string.Empty;
        [CompareField("height")]
        public string Height { get; set; } = string.Empty;

        public virtual Dictionary<string, object?> GetParameters()
        {
            return new Dictionary<string, object?>
            {
                { "X", X },
                { "Y", Y },
                { "WIDTH", Width },
                { "HEIGHT", Height }
            };
        }
    }
}